## ide-doap ide-doap |

## Functions

#define | IDE_DOAP_ERROR
#define | IDE_TYPE_DOAP
IdeDoap * | ide_doap_new ()
GQuark | ide_doap_error_quark ()
gboolean | ide_doap_load_from_file ()
const gchar * | ide_doap_get_name ()
const gchar * | ide_doap_get_shortdesc ()
const gchar * | ide_doap_get_description ()
const gchar * | ide_doap_get_bug_database ()
const gchar * | ide_doap_get_download_page ()
const gchar * | ide_doap_get_homepage ()
const gchar * | ide_doap_get_category ()
gchar ** | ide_doap_get_languages ()
GList * | ide_doap_get_maintainers ()

## Properties

gchar * | bug-database | Read / Write
gchar * | category | Read / Write
gchar * | description | Read / Write
gchar * | download-page | Read / Write
gchar * | homepage | Read / Write
gchar * | languages | Read / Write
gchar * | name | Read / Write
gchar * | shortdesc | Read / Write

## Types and Values

enum | IdeDoapError
| IdeDoap

## Object Hierarchy

        GEnum
        ╰── IdeDoapError
        GObject
        ╰── IdeDoap

## Description

## Functions

### IDE_DOAP_ERROR

    #define IDE_DOAP_ERROR (ide_doap_error_quark())

### IDE_TYPE_DOAP

    #define IDE_TYPE_DOAP  (ide_doap_get_type())

### ide_doap_new ()

    IdeDoap *
    ide_doap_new (void);

### ide_doap_error_quark ()

    GQuark
    ide_doap_error_quark (void);

### ide_doap_load_from_file ()

    gboolean
    ide_doap_load_from_file (IdeDoap *self,
                             GFile *file,
                             GCancellable *cancellable,
                             GError **error);

### ide_doap_get_name ()

    const gchar *
    ide_doap_get_name (IdeDoap *self);

### ide_doap_get_shortdesc ()

    const gchar *
    ide_doap_get_shortdesc (IdeDoap *self);

### ide_doap_get_description ()

    const gchar *
    ide_doap_get_description (IdeDoap *self);

### ide_doap_get_bug_database ()

    const gchar *
    ide_doap_get_bug_database (IdeDoap *self);

### ide_doap_get_download_page ()

    const gchar *
    ide_doap_get_download_page (IdeDoap *self);

### ide_doap_get_homepage ()

    const gchar *
    ide_doap_get_homepage (IdeDoap *self);

### ide_doap_get_category ()

    const gchar *
    ide_doap_get_category (IdeDoap *self);

### ide_doap_get_languages ()

    gchar **
    ide_doap_get_languages (IdeDoap *self);

#### Returns

A GStrv.

[transfer none]

### ide_doap_get_maintainers ()

    GList *
    ide_doap_get_maintainers (IdeDoap *self);

#### Returns

A GList of IdeDoapPerson.

[transfer none][element-type IdeDoapPerson*]

## Types and Values

### enum IdeDoapError

#### Members

IDE_DOAP_ERROR_INVALID_FORMAT |  |

### IdeDoap

    typedef struct _IdeDoap IdeDoap;

## Property Details

### The `“bug-database”` property

      “bug-database”             gchar *

Bug Database.

Flags: Read / Write

Default value: NULL

### The `“category”` property

      “category”                 gchar *

Category.

Flags: Read / Write

Default value: NULL

### The `“description”` property

      “description”              gchar *

Description.

Flags: Read / Write

Default value: NULL

### The `“download-page”` property

      “download-page”            gchar *

Download Page.

Flags: Read / Write

Default value: NULL

### The `“homepage”` property

      “homepage”                 gchar *

Homepage.

Flags: Read / Write

Default value: NULL

### The `“languages”` property

      “languages”                gchar *

Languages.

Flags: Read / Write

Default value: NULL

### The `“name”` property

      “name”                     gchar *

Name.

Flags: Read / Write

Default value: NULL

### The `“shortdesc”` property

      “shortdesc”                gchar *

Shortdesc.

Flags: Read / Write

Default value: NULL